Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.commands
Class SeleniumCoreCommand

    java.lang.Object
      org.openqa.selenium.server.commands.Command
          org.openqa.selenium.server.commands.SeleniumCoreCommand

    public class SeleniumCoreCommand

extends Command

Command delegated "as-is" to Selenium Core.

Field Summary
`static java.lang.String` | `CAPTURE_ENTIRE_PAGE_SCREENSHOT_ID`

Constructor Summary
`SeleniumCoreCommand(java.lang.String id, java.util.List<java.lang.String> values, java.lang.String sessionId)`

Method Summary
`java.lang.String` | `execute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAPTURE_ENTIRE_PAGE_SCREENSHOT_ID

    public static final java.lang.String CAPTURE_ENTIRE_PAGE_SCREENSHOT_ID

See Also:
  Constant Field Values

Constructor Detail

### SeleniumCoreCommand

    public SeleniumCoreCommand(java.lang.String id,
                               java.util.List<java.lang.String> values,
                               java.lang.String sessionId)

Method Detail

### execute

    public java.lang.String execute()

  Specified by:
    `execute` in class `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.